package org.kne.cloud.network.klalb;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class TESTPacket extends KLALBPacket {
	private static byte[]K=new byte[1024];
	@Override
	public long getLength() {
		return super.getLength()+1024;
	}


	public TESTPacket() {
		super(TEST);
	}



	@Override
	public String toString() {
		return "TEST";
	}

	@Override
	protected void writeToStream(DataOutput dto) throws IOException {
		super.writeToStream(dto);
		dto.write(K);
	}

	@Override
	protected void readFromStream(DataInput din) throws IOException {
		super.readFromStream(din);
		din.readFully(K, 0, K.length);
	}
}
